﻿@model InsightHub.Web.Areas.Admin.Models.ReportAdminViewModel

@{
    ViewData["Title"] = "Details";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<h1>Details</h1>

<div>
    <h4>Report</h4>
    <hr />
    <dl class="row text-dark">
        <dt class="col-sm-2">
            @Html.DisplayNameFor(model => model.Name)
        </dt>
        <dd class="col-sm-10">
            @Html.DisplayFor(model => model.Name)
        </dd>
        <dt class="col-sm-2">
            @Html.DisplayNameFor(model => model.Description)
        </dt>
        <dd class="col-sm-10">
            @Html.DisplayFor(model => model.Description)
        </dd>
        <dt class="col-sm-2">
            @Html.DisplayNameFor(model => model.Industry)
        </dt>
        <dd class="col-sm-10">
            @Html.DisplayFor(model => model.Industry)
        </dd>
        <dt class="col-sm-2">
            @Html.DisplayNameFor(model => model.Tags)
        </dt>
        <dd class="col-sm-10">
            @foreach (var item in Model.Tags)
            {
                <a>@item</a><br />
            }
        </dd>
        <dt class="col-sm-2">
            @Html.DisplayNameFor(model => model.Author)
        </dt>
        <dt class="col-sm-10">
            @Html.DisplayFor(model => model.Author)
        </dt>
    </dl>
</div>
<div>
    <div class="row">
        <div class="col-sm-12 text-left">
            @if (!Model.IsApproved)
            {
                <a asp-action="Approve" asp-route-id="@Model.Id" class="btn btn-outline-success">Approve</a>
            }
            @if (!Model.IsFeatured)
            {
                <a asp-action="Feature" asp-route-id="@Model.Id" class="btn btn-outline-primary">Feature</a>
            }
            else
            {
                <a asp-action="Unfeature" asp-route-id="@Model.Id" class="btn btn-outline-primary">Unfeature</a>
            }

            <a asp-action="Delete" asp-route-id="@Model.Id" class="btn btn-outline-danger">Delete</a>
            <br />
        </div>
    </div>
    <br/>
            <a asp-action="Index" class="btn btn-outline-primary">Back to List</a>
        </div>
